#!/bin/bash

inputLightMode="${1}"
inputDarkMode="${2}"
inputGeneral="${3}"
targetfile="${4}"

touch "$targetfile"
{
    printf "/* Do not edit this file. This file is generated. */\n\n/* Default color scheme */\n:root {\ncolor-scheme: light dark;\n\n";
    cat "$inputLightMode";
    printf "\n}\n\n/* Dark mode */\n@media (prefers-color-scheme: dark) {\n:root {\ncolor-scheme: light dark;\n\n";
    cat "$inputDarkMode";
    printf "\n}\n}\n\n/* Below are the CSS rules that apply color */\n";
    cat "$inputGeneral";
} > "$targetfile";
